@import "~sass/media";
@import "~sass/variables";
.vendor-wrapper {
  //margin-top: 20px;
  background-color: white;
  padding: 20px 20px;
  width: 100%;
  border-top: 10px solid $quaternary;;
  @media screen and (max-width: 768px) {
    padding: 0px; 
  }
}

::ng-deep .vendor-accordian {
  .mat-expansion-panel {
    box-shadow: none;
    border: 1px solid $quaternary;;
    margin: 15px 0;
    &.mat-expanded {
      .mat-expansion-panel-header {
        border-bottom: 1px solid $quaternary;;
        border-radius: 0;
      }
    }
  }
  .mat-expansion-panel-spacing {
    margin: 15px 0;
  }
  .mat-expansion-panel-header {
    padding: 0 20px;
    min-height: 60px;
    @media screen and (max-width: 1200px) {
      height: auto !important;
    }
    background-color: #fcfcfc;
    &.mat-expanded {
      &:focus,
      &:hover {
        background: #fcfcfc !important;
        background-color: #fcfcfc !important;
      }
    }
  }
  .mat-content {
    height: 100%;
  }
  .mat-expansion-panel-content {
    font-size: 14px;
    font-weight: 400;
    background: $secondary-color;
  }
  .mat-expansion-panel-body {
    padding: 0;
  }
}
.vendor-head {
  width: 100%;
  .col {
    padding-right: 10px;
  }
  > div {
    display: flex;
    align-items: center;
    padding-top: 5px;
    padding-bottom: 5px;
    //white-space: nowrap; 

    @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
      // display: inline-block;
      padding-top: 15px;
    } 
  }
  div {
    white-space: nowrap;
  }
}
// .vendor-body {
//   padding: 10px 20px;
//   background-color: #f4f4f4;
//   min-height: 14px;
// }
.mat-raised-button {
  &.ven-btn {
    min-width: 120px !important;
    height: 30px;
    line-height: 30px;
    @media screen and (max-width: 768px) {
      margin-bottom: 5px;
    }
  }
  &.black-btn {
    background-color: $secondary-color;
    color: #fff;
  }
  &.blue-btn {
    background-color: $primary-color;
  }
}
.head-label {
  color: #555555;
  font-weight: 500;
}
.head-value {
  color: #535353;
  padding-left: 10px;
  width: 120px;
  overflow: hidden;
  text-overflow: ellipsis;
  align-items: center;
}
.body-label {
  color: #333333;
}
.body-value {
  color: #888888;
}
.address {
  margin: 0;
  font-size: 14px;
  font-family: "Open Sans", sans-serif;
  white-space: pre-line;
}
table {
  &.vendor-table {
    tr {
      Shopping Cart td {
        font-size: 14px;
        height: 30px;
        line-height: 1.25;
        font-weight: 400;
        &:first-child {
          color: #333333;
        }
        &:last-child {
          color: #888888;
        }
      }
    }
  }
}
.show-btn {
  margin-top: 30px;
  button {
    min-width: 160px !important;
  }
}

@media (min-width: 320px) and (max-width: 767px) {
  .vendor-head-btn {
    display: flex;
    padding-left: 15px;
    .col {
      padding-left: 0px;
    }
  }
}
.price-view {
  color: rgb(173, 173, 173);
  font-size: 13px;
  text-decoration: line-through;
  padding-left: 10px;
}
.pointer{
  pointer-events: visible;
}
